- @no_breadcrumb_border = true
- show_auto_devops_callout = show_auto_devops_callout?(@project)
- is_project_overview = local_assigns.fetch(:is_project_overview, false)
- ref = local_assigns.fetch(:ref) { current_ref }
- project = local_assigns.fetch(:project) { @project }
- add_page_startup_api_call logs_file_project_ref_path(@project, ref, @path, format: "json", offset: 0)
- if readme_path = @project.repository.readme_path
  - add_page_startup_api_call project_blob_path(@project, tree_join(@ref, readme_path), viewer: "rich", format: "json")

#tree-holder.tree-holder.clearfix.js-per-page{ data: { blame_per_page: Projects::BlameService::PER_PAGE } }
  .info-well.gl-display-none.gl-sm-display-flex.project-last-commit.gl-flex-direction-column.gl-mt-2
    #js-last-commit.gl-m-auto
      = gl_loading_icon(size: 'md')
    #js-code-owners

  .nav-block.gl-display-flex.gl-xs-flex-direction-column.gl-align-items-stretch
    = render 'projects/tree/tree_header', tree: @tree, is_project_overview: is_project_overview

  - if project.forked? && Feature.enabled?(:fork_divergence_counts, @project.fork_source)

    #js-fork-info{ data: vue_fork_divergence_data(project, ref), project_id: @project.id }

  - if is_project_overview
    .project-buttons.gl-mb-5.js-show-on-project-root{ data: { qa_selector: 'project_buttons' } }
      = render 'stat_anchor_list', anchors: @project.statistics_buttons(show_auto_devops_callout: show_auto_devops_callout), project_buttons: true

  #js-tree-list{ data: vue_file_list_data(project, ref) }
  - if can_edit_tree?
    = render 'projects/blob/new_dir'

